using System;

namespace CreditProcessLib
{
	/// <summary>
	/// An exception that represents a failure to charge a credit card due
	/// to overflow of credit limit - There is too much charge on 
	/// credit card.
	/// </summary>
	public class CreditOverflowException : ApplicationException
	{
	}
}
