using System;

namespace CreditProcessLib
{
	/// <summary>
	/// Use to validate credit card number.
	/// </summary>
	public interface ICardNumberValidator
	{
		/// <summary>
		/// Determines if the credit card number is valid.
		/// </summary>
		/// <param name="cardNumber">card number to be validated.</param>
		/// <returns>false if the number if invalid. true otherwise.</returns>
		bool IsValid(string cardNumber);
	}
}
